summarylogtreecommitdiffstats
path: root/openra-raplus
diff options
context:
space:
mode:
Diffstat (limited to 'openra-raplus')
-rwxr-xr-xopenra-raplus19
1 files changed, 19 insertions, 0 deletions
diff --git a/openra-raplus b/openra-raplus
new file mode 100755
index 00000000000..3959743c66d
--- /dev/null
+++ b/openra-raplus
@@ -0,0 +1,19 @@
+#!/bin/sh
+cd "/usr/lib/openra-raplus"
+
+# Run the game
+mono --debug OpenRA.Game.exe Game.Mod=raplus Engine.LaunchPath="/usr/bin/openra-raplus" "Engine.ModSearchPaths=/usr/lib/openra-raplus/mods" "$@"
+
+# Show a crash dialog if something went wrong
+if [ $? != 0 ] && [ $? != 1 ]; then
+ ERROR_MESSAGE="OpenRA Red Alert Plus has encountered a fatal error.\nPlease refer to the crash logs and FAQ for more information.\n\nLog files are located in ~/.openra/Logs\nThe FAQ is available at http://wiki.openra.net/FAQ"
+ if command -v zenity > /dev/null; then
+ zenity --no-wrap --error --title "OpenRA Red Alert Plus" --text "${ERROR_MESSAGE}" 2> /dev/null
+ elif command -v kdialog > /dev/null; then
+ kdialog --title "OpenRA Red Alert Plus" --error "${ERROR_MESSAGE}"
+ else
+ printf "${ERROR_MESSAGE}\n"
+ fi
+ exit 1
+fi
+